Subject: Re: [MOBILE-IP] Cellular IP for Private Network Access

From: Yingchun Xu <[email-masked]>
Date: Thu, 6 Jan 2000 10:35:52 -0600

Yingchun Xu wrote:
>>
>> It seems that Cellular IP has limitation for Private Network Access. During
>> private network access,
>> conflicted Mobile Node IP addresses may be assigned which will cause the
failure
>>  of IP packet forwarding.
>> Tunneling Based Protocol for MicroMobility Management will not have the issue
>> since MN IP packets are wrapped.

> When two mobile hosts with private home addresses move into the same
> network, possibly encapsulation is the only plausible way to prevent an
> address clash. Tunneling can also be used in a Cellular IP network for
> hosts that have private addresses. One advantage of Cellular IP is that
> you have to use encapsulation only in such cases.

Encapsulation may not be a disadvantage  if it does not across air link.

> When you talk about "Tunneling Based Protocol for MicroMobility
> Management" do you refer to a specific protocol or just tunneling based
> approaches in general?

I meant tunneling based approaches in general.
Can you point out how this is done and where it is described in "Cellular IP
draft"?

It seems to me that a unified approach for handling both public and private
network access is prefered.

--Yingchun.
/Zoltan

---

From: Zoltan Richard Turanyi <[email-masked]>
Date: Thu, 6 Jan 2000 18:13:47 +0100

> Encapsulation may not be a disadvantage  if it does not across air link.

It may not. But, the fact that something is not disadvantageous is no
reason to use it.

> Can you point out how this is done and where it is described in "Cellular IP

It is not included in this version of Cellular IP.

> network access is prefered.

I do not think that the tunneling of packets containing private
addresses breaks the "uniform approach" of Cellular IP. Besides, public
and private addresses are handled differently in fixed networks as well.

/Zoltan
--
Zoltan Richard Turanyi
Research Fellow, Ericsson Hungary
Traffic Analysis and Network Performance Lab